package abbot.editor.recorder;

import java.awt.*;

import javax.swing.JLabel;

import junit.extensions.abbot.RepeatHelper;
import abbot.script.Resolver;
import abbot.tester.DialogTester;

/**
 * Unit test to verify proper capture of user semantic events on a Dialog.
 */
public class DialogRecorderTest extends AbstractSemanticRecorderFixture {

    private DialogTester tester = new DialogTester();

    public DialogRecorderTest(String name) {
        super(name);
    }

    protected SemanticRecorder createSemanticRecorder(Resolver r) {
        return new DialogRecorder(r);
    }

    public void testNoCaptureResize() {
        final Dialog d = new Dialog(new Frame(getName()), getName());
        d.add(new JLabel(getName()));
        d.setResizable(false);
        showWindow(d);
        startRecording();
        tester.resize(d, d.getWidth()*2, d.getHeight());
        assertNoStep();
    }

    public static void main(String[] args) {
        RepeatHelper.runTests(args, DialogRecorderTest.class);
    }
}
