package abbot.script;

import java.awt.*;

import javax.swing.JLabel;

import abbot.AssertionFailedError;
import junit.extensions.abbot.*;

public class ExpressionTest extends ComponentTestFixture {

    public void testFromXML() throws Throwable {
        String EXPR = "System.out.println(\"hello\");";
        String XML = "<expression><![CDATA[" + EXPR + "]]></expression>";

        Expression e = (Expression)Step.createStep(getResolver(), XML);
        assertEquals("Wrong expression parsed", EXPR, e.getExpression());

        assertEquals("Wrong encoding", XML, Step.toXMLString(e));
    }

    public void testSimpleExpression() throws Throwable {
        Expression e = new Expression(getResolver(), getName());
        assertEquals("Default expression should be empty",
                     "", e.getExpression());

        e.setExpression("i=10;");
        e.runStep();
        Interpreter sh = (Interpreter)
            getResolver().getProperty(Script.INTERPRETER);
        assertEquals("Wrong value for expression",
                     new Integer(10), sh.get("i"));
    }

    public ExpressionTest(String name) { super(name); }

    public static void main(String[] args) {
        TestHelper.runTests(args, ExpressionTest.class);
    }
}

